#include <at89x52.h>
#include "MyHeader.h"
#include "KeypadDriver.c"
#include "LCDDriver.c"

void Access(void)
{
	int i,key;
	unsigned char p[4];
  LCDCommand(0x01);
	LCDCommand(0x80);
	WriteString("User ID:");
	for(i=0;i<4;i++)
	 {
		 key=KeyScan();
		 LCDData(key);
	 }
	 LCDCommand(0xC0);
	 WriteString("Password:");
	 for(i=0;i<4;i++)
	  {
			p[i]=KeyScan();
			LCDData('*');
		}
	 if(p[0]==PWD[0]&&
		  p[1]==PWD[1]&&
	    p[2]==PWD[2]&&
			p[3]==PWD[3])
	  {
			LCDCommand(0x01);
			LCDCommand(0x80);
			WriteString("Authenticated!");
			LCDCommand(0xC0);
			WriteString("     OK       ");
			while(KeyScan()!='#');
			//+++++++++ Further Proceed with App Specific Code +++++++++++++++.
		}
	 else
	 {
		 LCDCommand(0x01);
		 LCDCommand(0x80);
		 WriteString("Access Denied");
		 LCDCommand(0xC0);
		 WriteString("     OK      ");
		 while(KeyScan()!='#');
		 Access();
	 }
}

//Name: N Abid Ali Khan 
void main(void)
{
	P2=0;
	R1=R2=R3=R4=0;
	C1=C2=C3=1;
	
	LCDCommand(0x38);
	LCDCommand(0x0E);
	LCDCommand(0x01);
	LCDCommand(0x06); //Till here we have done the LCD initialization.
	
	LCDCommand(0x80);
	WriteString("Welcome ECE@VCE!");
	LCDCommand(0xC0);
	WriteString("  e-UI Project  ");
	while(KeyScan()!='#');	//Waiting for the '#' key input.
  Access();	
}